# Uses of Interface
org.apache.wiki.auth.acl.Acl

Packages that use Acl
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.auth.acl
Access Control List implementation.

## Uses of Acl in org.apache.wiki

Methods in org.apache.wiki that return Acl
Modifier and Type
Method
Description
`Acl`
WikiPage.`getAcl()`
Returns the Acl for this page.
Methods in org.apache.wiki with parameters of type Acl
Modifier and Type
Method
Description
`void`
WikiPage.`setAcl(Acl acl)`
Deprecated.
use `WikiPage.setAcl(org.apache.wiki.api.core.Acl)`

## Uses of Acl in org.apache.wiki.auth.acl

Classes in org.apache.wiki.auth.acl that implement Acl
Modifier and Type
Class
Description
`class`
`AclImpl`
JSPWiki implementation of an Access Control List.